| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT > Struct Template Reference

`#include <ParserGrammar.h>`

Collaboration diagram for Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >:

[legend]
List of all members.

## Detailed Description

### template<typename ScannerT>
struct Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >

Definition at line 250 of file ParserGrammar.h.

## Public Member Functions
| definition (UnitsFileGrammar const &self)
boost::spirit::rule< ScannerT > const & | start () const
## Public Attributes
RealUnitsGrammar | grUnit
IdentifierGrammar | grNewUnit
boost::spirit::rule< ScannerT > | units_file
boost::spirit::rule< ScannerT > | unit

## Constructor & Destructor Documentation

template<typename ScannerT>

Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::definition | ( | UnitsFileGrammar const & | self | ) | `[inline]`

Definition at line 252 of file ParserGrammar.h.

References Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::grNewUnit, Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::grUnit, Gaudi::Parsers::UnitsFileGrammar::matchLeftReal(), Gaudi::Parsers::UnitsFileGrammar::matchLeftUnit(), Gaudi::Parsers::UnitsFileGrammar::matchRight(), Gaudi::Parsers::UnitsFileGrammar::matchUnit(), Gaudi::Parsers::UnitsFileGrammar::parser(), Gaudi::Parsers::RealUnitsGrammar::setParser(), Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::unit, and Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::units_file.

    00253         {
    00254           boost::tuples::get<1>(self.attrs()) = 1;
    00255           grUnit.setParser(self.parser());
    00256           units_file = *(unit[boost::bind(&UnitsFileGrammar::matchUnit,&self)]);
    00257           unit =
    00258             (real_p[boost::bind(&UnitsFileGrammar::matchLeftReal,&self,_1)]
    00259              >> eps_p)[self.val=arg1] >> !ch_p('*')
    00260              >>grNewUnit[boost::bind(&UnitsFileGrammar::matchLeftUnit,&self,_1)]
    00261              >>"=">>grUnit[boost::bind(&UnitsFileGrammar::matchRight,&self,_1)];
    00262         }

## Member Function Documentation

template<typename ScannerT>

boost::spirit::rule<ScannerT> const& Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::start | ( |  | ) | const`[inline]`

Definition at line 265 of file ParserGrammar.h.

References Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::units_file.

    00266         { return units_file;}

## Member Data Documentation

template<typename ScannerT>

RealUnitsGrammar Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::grUnit

Definition at line 263 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

IdentifierGrammar Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::grNewUnit

Definition at line 264 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::definition().

template<typename ScannerT>

boost::spirit::rule<ScannerT> Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::units_file

Definition at line 267 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::definition(), and Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::start().

template<typename ScannerT>

boost::spirit::rule<ScannerT> Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::unit

Definition at line 267 of file ParserGrammar.h.

Referenced by Gaudi::Parsers::UnitsFileGrammar::definition< ScannerT >::definition().

The documentation for this struct was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiSvc/v17r1/src/JobOptionsSvc/ParserGrammar.h